praetarius5018

Lufia 2 - Age of the Sinistrals

89 posts in this topic

Everytime I patch this there are no spells to learn just blank spaces in the shops with spells that can't be learned and no name that cost no mp. Am I doing something wrong?

Share this post


Link to post
Share on other sites

This sounds like you used the wrong (un)headered patch - I'm surprised that doesn't outright crash.

The headered version of the ROM should have 2561 KB. unheadered 2560 KB.

Share this post


Link to post
Share on other sites

@Layoneil  This hack only will work correctly if you use snes9x(+)plus version, hope it can help you:)

Edited by jack5881

Share this post


Link to post
Share on other sites

Thanks Jack! That's exactly what it was! I had no idea zsnes wouldn't work with it, that's what I usually use.

Share this post


Link to post
Share on other sites

zsnes in general has accuracy issues;
several instructions are not well implemented, it mostly was build for speed or being able to run at all on the toasters we had around 2000.

I often forget that it was all we had wayback then - I feel old now :( 

Share this post


Link to post
Share on other sites

Yeah I still use zsnes most of the time just cause its what I'm used to. But I'm getting a feel for snes9x now. Works pretty good for the most part. Also your hack is pretty damn awesome. Gades kicked my ass, as I was expecting.

Share this post


Link to post
Share on other sites

praetarius, a friendly request to update the rom hack's description and/or install instructions. I got v8 from romhacking.net and initially loaded it with the snes9x 2005+ core on retroarch and ran into the same issue as Layoneil. Also, while I verified the SHA-1 hash of the input rom as the one specified in the RHDN description, the SHA-1 of the patched rom is not what is in the description, it's 3975c13f1606198ff83893dbe14656dec3f7937d.

 

After reading this thread I tried the snes9x 2010 core and skills loaded with no problem and the game is playing well so far. Still, I think a heads up in the description would benefit others interested in trying it out. Thanks!

Share this post


Link to post
Share on other sites

is there even any hack out there that runs on zsnes and is not 100% dependant on its false implementations?

if not I don't see a point to add a note like "requires adhering to common sense like not using super-outdated zsnes"

Share this post


Link to post
Share on other sites

I was using snes9x 2005 plus, not zsnes, and as jack said above, 

Quote

This hack only will work correctly if you use snes9x(+)plus version

which I guess still doesn't hold true for the 2005 edition. Something like "only tested to work with snes9x 2010 and later versions, other emulator support not guaranteed" would be great. It would've saved me an hour or two at any rate. Just a suggestion.

Share this post


Link to post
Share on other sites

which is not accurate either
I tried it with higane-accurcy build at one point and afaik some even played it on actual hardware via sd2snes carts.
so now what?
"may not work on emulators unsuited to properly reproduce original snes functionality"
well, noone will get what that means either

"Will not work with ZSNES, SNES9x 2005 or earlier."
would be the most accurate restriction we know of atm

Edited by praetarius5018

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now